# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:       Create Makefile dependency list for Fortran source files
Name:          makedepf90
Version:       2.8.8
Release:       alt1_15
License:       GPLv2
Group:         Development/Tools
URL:           http://personal.inet.fi/private/erikedelmann/makedepf90/
Source0:       http://personal.inet.fi/private/erikedelmann/makedepf90/%{name}-%{version}.tar.gz
# teach Makefile to accept DESTDIR
Patch0:        %{name}-destdir.patch

BuildRequires:  gcc
Source44: import.info
%description
Makedepf90 is a program for automatic creation of Makefile dependency
lists for Fortran source code. Makedepf90 supports MODULE:s, INCLUDE:s,
cpp #include:s, f90ppr $include:s and coco ??include:s and set-files.

The original idea was to provide the same functionality for Fortran as

    gcc -MM *.c

does for C.

%prep
%setup -q
%patch0 -p1 -b .destdir

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} INSTALL="install -p" install

%files
%doc COPYING NEWS README
%{_bindir}/makedepf90
%{_mandir}/man1/makedepf90.1*

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_15
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_14
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_13
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_11
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_10
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_9
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_8
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_6
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.8.8-alt1_5
- initial fc import

